Description

Currently, the only function supported is short-cycle only when rock is already low. The bot does not know when the rock gets low
because the survey scan data is static.

This can be fixed by activating the survey scanner at the end of every cycle (not ideal because e the mining lasers will already be
active by the time the scan data arrives).

The proposed model works like this:
Assumptions:
1 - Currently implemented timers work accurately

2 - We can activate Both Mining Lasers as a group (Both on the same asteroid, when short-cycling distributing lasers is an
unnecessary complication )

3 - We can get either free space on Ore Hold/Cargo Hold or (Max Cargo/Ore Hold Capacity - Used Ore/Cargohold capacity)

Theory:

1 - Calculate the time for an asteroid to die in seconds or 10th to seconds
2 - Calculate the time until ore hold full

3 - Adopt the shorter timer as a Mining Laser shutdown timer

If the time until asteroid die > time until ore/cargo hold full

Time to run = Time until ore/cargo hold full

Else

Time to run = Time until asteroid die

Advantages:

1 - Only one-timer will be running at any given time, ensuring it's activated properly

2 - Easier target management coding because only one asteroid will be targeted at a given time and lasers activates as a group.
3 - Easier target management when on fleet. (because each bot will only claim one rock on grit)

4 - Can be built as a module activated via a Ul checkbox.

5 - Will reduce the time needed for the miners to break even, therefore, reducing detection and BAN risk.

History
#1 - 2020-05-17 06:01 PM - CyberTech

- Tracker changed from Feature - New to Feature - Enhancement

- Subject changed from Please add a mining laser short cycle function to EVEBOT! to Improve short-cycle behavior
- Category deleted (Broken Feature(s))

- Priority changed from Ban Risk to High

#2 - 2020-05-17 09:16 PM - gfeitosa

6 - It will also eliminate the issue of boot entering a loop of trying to mine 2 OOR asteroids and wasting hours/All Day going back and forth trying to
distribute lasers between 2 OOR rocks,

#3 - 2020-05-18 09:02 PM - gfeitosa

7 - Also It seems that the timer as it deactivates both mining lasers at the same time. Activating lasers as a group will only see the need for one active
timer at any time. This will make implementation take a lot less work.
